<template>
<div class="gallery-view-mode">
    <div class="row">
        <div
            v-for="(row, rowIndex) in data"
            :key="`row-${rowIndex}`"
            class="col-3"
        >
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">{{row.firstName}} {{row.lastName}}</h5>
                    <p class="card-text">{{row.description}}</p>
                    <a href="#" class="btn btn-primary">Detail</a>
                </div>
            </div>
        </div>
    </div>
</div>
</template>
<script lang="ts">
import {Vue, Component, Prop} from 'vue-property-decorator'
import {Row} from '../types'

@Component({})
export default class TableViewMode extends Vue {
    @Prop({default: () => []})
    data!: Row[]
}
</script>